# -*- coding: UTF-8 -*-
# -*- python -*-
# Copyright (C) 2006 by Sebastian Dröge
#
# This file may be distributed and/or modified under the terms of
# the GNU General Public License version 2 as published by
# the Free Software Foundation.
# This file is distributed without any warranty; without even the implied
# warranty of merchantability or fitness for a particular purpose.
# See "COPYING" in the source distribution for more information.
#
# $Id: ekiga.py.in 115 2006-08-06 23:52:31Z sebest $
#

from sdapplet.pluginutils import *
import subprocess

class plugin_ekiga:
    def __init__(self):
        self.service_type = ["_h323._tcp", "_sip._udp"]
        self.author = "Sebastian Dröge"
        self.description = "Start SIP/h323 connections with Ekiga"

    def connect(self, use_host_names, name, stype, hostname, address, port, txts):
        if use_host_names == True:
            address = hostname
        print "connecting using ekiga"
	cmdline = ["/usr/share/service-discovery-applet/tools//exec_wrapper", "ekiga"]
	if stype == "_sip._udp":
	   cmdline += ["-c", "sip:%s:%s" % (address, port)]
	else:
	   cmdline += ["-c", "h323:%s:%s" % (address, port)]
	print cmdline
	pid = subprocess.Popen(cmdline).pid

def load():
    return plugin_ekiga()
